DocumentationAPI ReferenceDescripci贸n general
Referencia de API

BotLaunch API

Crea integraciones potentes con la API REST de BotLaunch. Acceso completo a bots, usuarios, mensajes y m谩s con documentaci贸n y ejemplos exhaustivos.

URL base
https://api.botlaunch.io
Versi贸n
v1.0
Autenticaci贸n
JWT Bearer

Inicio r谩pido

Comienza a usar la API de BotLaunch en minutos.

1. Instalar o probar

# Install the BotLaunch SDK
npm install @botlaunch/sdk

# Or use the REST API directly
curl -X GET "https://api.botlaunch.io/api/health" \
  -H "Content-Type: application/json"
bash

2. Autenticarse

// Authenticate and get an access token
const response = await fetch("https://api.botlaunch.io/api/auth/login", {
  method: "POST",
  headers: {
    "Content-Type": "application/json"
  },
  body: JSON.stringify({
    email: "your@email.com",
    password: "your-password"
  })
});

const { data } = await response.json();
console.log(data.accessToken);
javascript

3. Realizar llamadas a la API

// Make authenticated API calls
const bots = await fetch("https://api.botlaunch.io/api/bots", {
  headers: {
    "Authorization": "Bearer YOUR_ACCESS_TOKEN",
    "x-organization-id": "YOUR_ORG_ID"
  }
});

const { data } = await bots.json();
console.log(data); // Array of your bots
javascript

Formato de respuesta

Todas las respuestas de la API siguen una estructura JSON consistente.

Respuesta exitosa

{
  "data": {
    "id": "bot_123",
    "name": "My Bot",
    "status": "active"
  },
  "message": "Bot retrieved successfully"
}
json

Respuesta de error

{
  "error": "Unauthorized",
  "statusCode": 401,
  "message": "Invalid or expired token"
}
json

Respuesta paginada

{
  "data": [
    { "id": "bot_1", "name": "Bot 1" },
    { "id": "bot_2", "name": "Bot 2" }
  ],
  "total": 25,
  "page": 1,
  "limit": 10
}
json

L铆mite de solicitudes

Las solicitudes a la API est谩n limitadas para garantizar un uso justo y la estabilidad de la plataforma.

PlanSolicitudes/MinSolicitudes/D铆aL铆mite de r谩faga
Free601,00010
Starter30010,00050
Professional1,00050,000100
Business5,000Unlimited500
EnterpriseCustomUnlimitedCustom

Encabezados de l铆mite de solicitudes

Check X-RateLimit-Remaining and X-RateLimit-Reset headers in API responses to monitor your usage.